Retrieve Signing Certificate
The following endpoint allows you to retrieve a signing certificate included in a Spark message header to verify that the received message came from Vault.
You do not need to authenticate your account prior to using this endpoint, as it does not require an Authorization HTTP request header.
GET
/api/{version}/services/certificate/{cert_id}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{cert_id} | The cert_id is provided in each Spark message in the X-VaultAPISignature-CertificateId header. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/services/certificate/00001Response
Section link for Response-----BEGIN CERTIFICATE-----
MIIHMzCCBhugAwIBAgIQB7f3SaBB/XIa6YjfQz9VkTANBgkqhkiG9w0BAQsFADBN
MQswCQYDVQQGEwJVUzEVMBMGA1UEChMMRGlnaUNlcnQgSW5jMScwJQYDVQQDEx5E
aWdpQ2VydCBTSEEyIFNlY3VyZSBTZXJ2ZXIgQ0EwHhcNMTgwMjIyMDAwMDAwWhcN
MjEwMTI3MTIwMDAwWjB+MQswCQYDVQQGEwJVUzETMBEGA1UECBMKQ2FsaWZvcm5p
YTETMBEGA1UEBxMKUGxlYXNhbnRvbjEcMBoGA1UEChMTVmVldmEgU3lzdGVtcywg
SW5jLjEOMAwGA1UECxMFVmF1bHQxFzAVBgNVBAMMDioudmF1bHRkZXYuY29tMIIB
IjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAye57SKZVhpT7n2wE8n4fl8Fi
SUVoApKPvM5mcN7MYrF/wnSz/MSZosoZX4D6+p2BNfaDn+e1tDOZ/c7zks4sc3Ib
5YoPIskqnvD61jJ9J3tHOV3IbDQHGLRcuZbuOY6obFOglWMxC3Sd4yeQeKwRGjMF
-----END CERTIFICATE-----Response Details
Section link for Response DetailsOn SUCCESS, the response includes the public key certificate (.pem) file used for Message Verification.